import React, { Component } from "react";
import "../style/ToolBar.css";
import { highlighterBox, areaHighlighterBox } from "../constant";

class ToolBar extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    const {
      areaHighlightEnable,
      toggleAreaHighlight,
      showToolBar
    } = this.props;
    return /*#__PURE__*/React.createElement("div", {
      className: "toolbar"
    }, showToolBar.includes(areaHighlighterBox) ? /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("button", {
      className: `rectangle tooltip ${areaHighlightEnable ? "active" : ""}`,
      type: "button",
      "data-tooltype": "area",
      onClick: () => {
        toggleAreaHighlight(true);
      }
    }, /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Image Highlighter")), /*#__PURE__*/React.createElement("div", {
      className: "spacer"
    })) : "", showToolBar.includes(highlighterBox) ? /*#__PURE__*/React.createElement("button", {
      className: `highlight tooltip ${!areaHighlightEnable ? "active" : ""}`,
      type: "button",
      "data-tooltype": "highlight",
      onClick: () => {
        toggleAreaHighlight(false);
      }
    }, /*#__PURE__*/React.createElement("span", {
      className: "tooltip__text"
    }, "Text Highlighter")) : "");
  }

}

export default ToolBar;